from flask import Flask, render_template, redirect, url_for, request
app = Flask(__name__)

@app.route('/login', methods=['GET', 'POST'])
def login():
    if(request.method == 'POST'):
        if request.form['username'] != 'admin' or request.form['password'] != 'admin':
            error = 'Invalid Credentials. Please try again.'
        else:
            return redirect(url_for('home'))
    elif(request.method == 'GET'):
        return render_template('login.html', error=None)
    return 'ERROR: Invalid method.'

@app.route("/", methods=['GET'])
def hello():
    homepage_text_file = open('static/assets/homepage.txt')
    homepage_text = homepage_text_file.readlines()
    homepage_text.remove('\n')
    return render_template('homepage.html', homepage_text=homepage_text)

def main():
    app.run(host='0.0.0.0', debug=True)